#include "Text.h"

namespace TASK_NAMES
{
	///       TTA
	const char* TAWS_A429OUT = "TAWS";
}

namespace TEXT
{
	// common
	TextDef M("m", "");
	TextDef KM("KM", "");
	TextDef KMH("km/h", "/");
	TextDef COURSE("COURSE","");

	TextDef S("S", "");
	TextDef W("W", "");

	TextDef SEC("SEC", "");
	TextDef MIN("MIN", "");

	TextDef WPT("WPT", "");
	TextDef DTK("DTK", "");
	TextDef EET("ETE", "ETE");
	TextDef RTA("TRK", "");
	TextDef XTE("XTE", "");
	TextDef FLY("FLY", "");
	TextDef PHASE("PHASE", "PHASE");

	TextDef YES("YES", "");
	TextDef NO("NO", "");

	TextDef UTC("UTC", "UTC");
	TextDef LOCAL("LOCAL", ".");

	TextDef	PPOS("P.POS", ".");

	const char*	EMPTY = "";

//-----------------------------------------------------------------------------------------------------------------------
	// DB panels
	TextDef DB("DB", "");
	TextDef CHOICE_DB("CHOICE_DB", " ");
	TextDef SHEMES("SHEMES", "");

	TextDef AIR("A/P", "/");
	TextDef RUN("RUN", "");
	TextDef POINT("POINT", "");

//-----------------------------------------------------------------------------------------------------------------------
	// SYS panels

	TextDef CPU("CPU", "");
	TextDef RAM("RAM", "");
	TextDef FRAM("FRAM", "");
	TextDef FLASH("FLASH", "FLASH");
	TextDef NET("NET", "NET");
	TextDef GNSS("GNSS", "GNSS");
	TextDef IB4("IB4", "");
	TextDef SYST("SYST", "");	
	TextDef KEYB("KEYBOARD", "");

	TextDef FPOCS("SW  CS", " ");
	TextDef CPUCS("CPU CS", " ");
	TextDef IB4CS("IB4 CS", "IB4 ");
	TextDef CFGCS("CFG CS", " ");
	TextDef VER("VER", "");

	TextDef DEVICEID("DEVICE ID", " ");

//-----------------------------------------------------------------------------------------------------------------------
	// panel names
	TextDef MAINMENU("MENU", "");
	TextDef SYSTEM("SYSTEM", "");
	TextDef OPTIONS("OPTIONS", "");
	TextDef SETTINGS("SETTINGS", "");
	TextDef INITIALIZE("INITIALIZATION", "");
	TextDef DBSTATE("DB STATE", " ");
	TextDef INTERFACES("INTERFACES", "");
	TextDef FUNCTIONS("FUNCTIONS", "");
	TextDef GNSSTYPE("GNSS MODE", " "); //28.03.08 GNSS KIND
	TextDef TEST("TEST", "");
	TextDef ADJUSTMENTS("SETTINGS", ""); //  ("DB STATE", " "),  ("SETTINGS", "")?
	TextDef DIAG4("DIAG 4/5", " 4/5");
	TextDef DIAG5("DIAG 5/5", " 5/5");
	TextDef DIAG1("DIAG 1/5", " 1/5");
	TextDef DIAG2("DIAG 2/5", " 2/5");
	TextDef DIAG3("DIAG 3/5", " 3/5");
	TextDef MESSAGES("MESSAGES", "");
	TextDef CONSTANTS("CONSTANTS", "");
	TextDef LAYER1("LAYER1/2", "1/2");
	TextDef LAYER2("LAYER2/2", "2/2");

	TextDef LAYERS("LAYERS", "");
	TextDef INIT("INIT", "");
	TextDef GPSDIAGNOSTICS("GPS DIAGNOSTICS", " GPS");
	TextDef GLONASSDIAGNOSTICS("GLONASS DIAGNOSTICS", " GLONASS");
	TextDef GNSSDIAGNOSTICS("GNSS DIAGNOSTICS", " ");	
	TextDef UBSDIAGNOSTICS("UBS DIAGNOSTICS", " ");

	TextDef DIAGNOCTICS("DIAGNOCTICS", "");
	TextDef SAVE("SAVE", "");
	TextDef CANCEL("CANCEL", "");
	TextDef DEVICESETTINGS("DEVICE SETTINGS", " ");
	TextDef BEENCHAGED("HAVE BEEN CHANGED", " ");

//-----------------------------------------------------------------------------------------------------------------------
//GNSS DIAGNOCTICS
	TextDef POS("POS", "");
	TextDef Latitude("LATITUDE", "");
	TextDef Longitude("LONGITUDE", "");	
	
	TextDef RTTA("TRK(T)", "");
	TextDef RMTA("TRK(M)", "");
	TextDef HDOP("HDOP", "HDOP");
	TextDef VDOP("VDOP", "VDOP");
	TextDef HFOM("HFOM", "HFOM");
	TextDef VFOM("VFOM", "VFOM");
	TextDef RAIM("RAIM", "RAIM");   //28.03.08 RAIM BRD
	TextDef RAIMLIM("RAIM LIM", "RAIM ");   //28.03.08 RAIM BRD
	TextDef HIL("HIL", "HIL");

	TextDef TAS("TAS", ""); //? ("GS", "")
	TextDef HDG("HDG","");
	TextDef HEADING("HEADING","");
	TextDef WOW("WOW", ". ");

	// gps, glonass diag
	TextDef SATTRACKED("VISIBLE", ".");
	TextDef SATUSED("USED", "");

	// gnss type
	TextDef CONSTCHOICE("CONSTELLATION CHOICE", " ");
	TextDef GPS_GLONASS("GPS+GLONASS", "GPS+");
	TextDef GLONASS("GLONASS", "");
	TextDef GPS("GPS", "GPS");

	// init type
	TextDef COORDINATES("POSITION", "");
	TextDef DATE("DATE", "");
	TextDef TIME("TIME", "");

	// functions
	TextDef ORIENTAION("MAP ORIENTATION", "");
	TextDef NORTH("NORTH", "");
	TextDef LANGUAGE("", "LANGUAGE");
	TextDef UNITS("UNITS", ". .");
	TextDef RANGE("RANGE", "");
	TextDef ALTITUDE("ALTITUDE", "");
	TextDef SPEED("SPEED", ""); //? ("GS", "")

	// messages
	TextDef MESSAGETIME("MESSAGE TIME", ". ");
	TextDef XTEEXCEEDED("XTE EXCEEDED", ". ");
	TextDef APPTOWPT("APPROACH TO WPT", "  ");
	TextDef APPTOTURNPOINT("APP TO TURN POINT", "  ");

	// map layers
	TextDef OBJECTNAMES("OBJECT NAMES", " ");
	TextDef INFOBOXES("INFO BOXES", ". ");
	TextDef AIRPORTS("AIRPORTS", "");
	TextDef RUNWAYS("RUNWAYS", "");
	TextDef NAVAIDS("NAVAIDS", "");
	TextDef AIRPORTNAVAIDS("AIRPORT NAVAIDS", " ");
	TextDef INFOREGIONS("AIRSPACE BOUNDARIES", "//");
	TextDef AIRWAYS("AIRWAYS", "");
	TextDef AIRWAYCODES("AIRWAY CODES", " ");
	TextDef AIRWAYCOURSES("AIRWAY COURSES", " ");
	TextDef OBSTACLES("OBSTACLES", "");
	TextDef WAYPOINTS("WAYPOINTS", "");
	TextDef TOPOGRAPHY("TOPOGRAPHY", "");

	// interfaces
	TextDef A429RX("429 INPUT", "429 ");
	TextDef A429TX("429 OUTPUT", "429 ");
	TextDef DCTX("DSC OUTPUT", " ");
	TextDef DCRX("DSC INPUT", " ");
	TextDef ETH("ETHERNET", "ETHERNET");
	TextDef RS232("RS-232", "RS-232");
	TextDef RS422("RS-422", "RS-422");

//-----------------------------------------------------------------------------------------------------------------------
//WPT PANEL

	// choice
	TextDef WPT1("WPT 1/12", " 1/12");
	TextDef WPT2("WPT 2/12", " 2/12");
	TextDef WPT3("WPT 3/12", " 3/12");
	TextDef WPT4("WPT 4/12", " 4/12");
	TextDef WPT5("WPT 5/12", " 5/12");
	TextDef WPT6("WPT 6/12", " 6/12");
	TextDef WPT7("WPT 7/12", " 7/12");
	TextDef WPT8("WPT 8/12", " 8/12");
	TextDef WPT9("WPT 9/12", " 9/12");
	TextDef WPT10("WPT 10/12", " 10/12");
	TextDef WPT11("WPT 11/12", " 11/12");
	TextDef WPT12("WPT 12/12", " 12/12");

	TextDef SK42("SK42", "42");
	TextDef CAUTION("CAUTION!", "!");
	TextDef FLIGHTPLAN("FLIGHT PLAN", "");
	TextDef ISNOTCORRESPONDSTO("IS NOT CORRESPONDS TO", " ");
	TextDef ISABSENTINDATABASE("IS ABSENT IN DATA BASE", "  ");	
	
	TextDef APT("APT", "");
	TextDef REGION("REGION", "");
	TextDef POSITION("POSITION", "");
	TextDef ELEV("ELEV", "");
	TextDef LONG("LONG", "");
	TextDef SURFACE("SURFACE", "");
	TextDef TRANSALT("TRANS ALT", "TRANS ALT");
	TextDef TRANSLEV("TRANS LEV", "TRANS LEV");
	TextDef APPROACH("APPROACH", "");
	TextDef IFRCAP("IFR CAPABLE", "IFR CAPABLE");
	TextDef NAME("NAME", "");
	TextDef BRG("BRG", "");
	TextDef DIST("DIST", "");
	TextDef DTG("DTG", "");
	TextDef HARD("HARD", "");
	TextDef SOFT("SOFT", "");
	TextDef WATER("WATER", "");
	TextDef UNDEFINED("UNDEF", "");

	// APTFRREQ
	TextDef CALLSIGN("CALL SIGN", "");
	TextDef TYPE("TYPE", "");
	
	// APTRW
	TextDef RW("RW", "");
	TextDef LENGTH("LENGTH", "");
	TextDef WIDTH("WIDTH", "");
	TextDef GRAD("GRAD", "");
	TextDef LLZ("LLZ", "");

	// INT
	TextDef INT("INT", "");

	// AIRWAY
	TextDef AIRWAY("AIRWAY", "");
	TextDef LEVEL("LEVEL", "");

	TextDef NDB("NDB", "");
	TextDef PW("PW", "");
	TextDef FREQUENCY("FREQUENCY", "");
	TextDef CHANNEL("CHANNEL", "");

	// VHF
	TextDef VHF("VHF", "");
	TextDef CLASS("CLASS", "");	
	TextDef DECL("DECL", "");

	// USR
	TextDef USR("USR", "");
	TextDef EDITWPT("EDIT WPT", " ");
	TextDef DELALLWPTS("DELETE ALL WPTS", "  ");
	TextDef NEWWPTBYPOS("NEW WPT BY POSITION", " ");
	TextDef NEWWPTBYWPT("NEW WPT BY BRG & DST", " ");
	TextDef NEWWPTBYWPTCROSS("NEW WPT BY BRG & BRG", " ");
	TextDef LST("LIST", "");

	TextDef WPT_1("WPT_1", "_1");
	TextDef BRG_1("BRG_1", "_1");
	TextDef DIS_1("DIS_1", "_1");

	TextDef WPT_2("WPT_2", "_2");
	TextDef BRG_2("BRG_2", "_2");
	
	TextDef WPTEDIT("WPT EDIT", ". ");

	TextDef DELETEUSERWPT("DELETE USER WPT", " ");
	TextDef DELETEALLUSERWPTS("DELETE ALL USER WPTS", "  ");
	
	// NRT
	TextDef NRT1("NRT 1/4", " 1/1");
	TextDef NRT2("NRT 2/4", " 2/2");
	TextDef NRT3("NRT 3/4", " 3/3");
	TextDef NRT4("NRT 4/4", " 4/4");
	TextDef FREQ("FREQ", "");
	TextDef NEARESTAIRPORT("NEAREST AIRPORT", " ");
	TextDef NEARESTINTERSECTION("NEAREST INTERSECTION", "  ");
	TextDef NEARESTNDB("NEAREST NDB", " NDB");
	TextDef NEARESTVHF("NEAREST VHF", " ");
	TextDef NUMBER("NUMBER", "");

	TextDef RWSURFACE("RW SURFACE", ". ");
	TextDef MINRWLENGTH("MIN RW LEN", ".  ");
	TextDef INCLUDEPAD("INCLUDE PAD", ". .");
	
	// FPL
	TextDef FPL1("FPL 1/2", " 1/2");
	TextDef FPL2("FPL 2/2", " 2/2");

	TextDef AIRWAYVIEW("SET ATC FPL", " ");
	TextDef WPTVIEW("SET NAV FPL", " ");
	
	TextDef ORGN("ORGN", "");
	TextDef DEST("DEST", "");
	TextDef ORIGIN("ORIGIN", "");
	TextDef DESTINATION("DESTINATION", "");
	TextDef SID("SID", "SID");
	TextDef STAR("STAR", "STAR");
	TextDef ROUTE("ROUTE", "ROUTE");
	TextDef SETSID("ADD SID", "SET SID");
	TextDef SETSTAR("ADD STAR", "SET STAR");
	TextDef SETAPPROACH("ADD APPROACH", "SET APPROACH");
		
	TextDef ETA("ETA", "ETA");  //28.03.08 ETO
	TextDef ETE("ETE", "ETE");  

	TextDef PLANLIST("PLAN LIST", " ");

	TextDef ACTIVATE("ACTIVATE", "");
	TextDef CREATENEW("CREATE NEW", " ");
	TextDef COPY("COPY", "");
	TextDef INVERT("INVERT", "");
	TextDef EDIT("EDIT", "");
	TextDef DEL("DELETE", "");
	TextDef DELALL("DELETE ALL", " ");
	TextDef SORTBYNAME("SORT BY NAME", "  ");
	TextDef SORTBYLENGTH("SORT BY LENGTH", "  ");

	TextDef BY("BY", "");
	TextDef OVER("OVER", "");

	TextDef ACTIVATELEG("ACTIVATE LEG", " ");
	TextDef FLYBY("FLY BY", " ");
	TextDef FLYOVER("FLY OVER", " ");
	TextDef ACTLEGOFFSET("ACT OFFSET FPL", " ");
	TextDef CANCELOFFSET("CANCEL OFFSET", " ");
	TextDef CANCELFPL("CANCEL FPL", "");
	TextDef PRAIM("PRAIM", " RAIM");
	TextDef SKIPWPT("SKIP WPT", " ");
	TextDef ADD("ADD NEW WPT", "  ");
	TextDef INFO("WPT INFO", " ");
	TextDef DELETESID("DELETE SID", " SID");
	TextDef DELETESTAR("DELETE STAR", " STAR");
	TextDef DELETEAPPROACH("DELETE APPROACH", " APPROACH");
	TextDef SETGS("SET GS", " ");
	TextDef LEG("LEG", "");
	TextDef OFFSET("OFFSET", "");
	TextDef ACTOFFSETLEG("ACT OFFSET LEG", " ");
	TextDef ACTOFFSETFPL("ACT OFFSET FPL", " ");

	TextDef SETORIGIN("SET ORIGIN", " ");
	TextDef SETDEST("SET DESTINATION", "  :)");
	TextDef DELORIGIN("DELETE ORIGIN", " ");
	TextDef DELDEST("DELETE DESTINATION", "  :)");

	TextDef ADDGAP("ADD GAP", "ADDGAP");
	TextDef DELGAP("DELETE GAP", "DELETE GAP");

	TextDef FPLEDIT("FPL EDIT", ". ");

	TextDef DELETEWPT("DELETE WPT", " ");
	TextDef INVERTFPL("INVERT FPL", " ");
	TextDef CANCELCHANGES("CANCEL CHANGES", " ");
	TextDef SAVECHANGES("SAVE CHANGES", " ");
	TextDef RETURN("RETURN", "");

	TextDef NOACTFPL1("THE FLIGHT PLAN", "  ");
	TextDef NOACTFPL2("IS NOT LOADED", "");

	TextDef DELETEFLIGHTPLAN("DELETE FLIGHT PLAN", " ");
	TextDef DELETEALLFLIGHTPLANS("DELETE ALL FLIGHT PLANS", "  ");

//-----------------------------------------------------------------------------------------------------------------------
//NAV panels

	TextDef NAV1("NAV 1/2", " 1/2");
	TextDef NAV2("NAV 2/2", " 2/2");	
	TextDef NAV3("TAWS", "TTA12");
	TextDef NAV4("HSI", "");

	TextDef SC("SC", "");
	TextDef PRESENTPOS("PRESENT POS", " ");
	TextDef ALT("ALT", "");
	TextDef VS("VS", "");
	TextDef BANK("BANK", "");
	TextDef TRK("TRK", ""); //?
	TextDef DST("DIST", "");
	TextDef GS("GS", "");
	
	TextDef FR("FR", "");
	TextDef TO("TO", "");
	TextDef OBS("OBS", "");
	TextDef TRN("TRN", "");
	TextDef ARC("ARC", "");
	TextDef EST("EST", "");

	TextDef DIRECT("DIRECT", "");
		
//-----------------------------------------------------------------------------------------------------------------------
//DB CHOICE PANEL

	TextDef CHOOSEDB("CHOOSE NAVIGATING DATABASE", "  ");
	TextDef NAVDB("NAV.DB", ".");
	TextDef TOPODB("TOPO.DB", ".");
	TextDef NODB("No DB", " ");
	TextDef DBEXP("EXPIRED", "");
	TextDef DBOK("OK", "OK");
	TextDef UNTIMELY("UNTIMELY", " ");
	TextDef NODATE("NO DATE", " ");
	TextDef NOLICENSE("NO LICENSE", " ");
	TextDef TESTFAIL("TEST FAIL", " ");

//-----------------------------------------------------------------------------------------------------------------------
//MSG PANEL
	TextDef MSG("MSG", "");
	TextDef MSG1("MSG", "");
	TextDef MSG2("JOURNAL", "");

//-----------------------------------------------------------------------------------------------------------------------
//AUX (CLC) PANEL
	TextDef AUX1("AUX 1/5", " 1/5");
	TextDef AUX2("AUX 2/5", " 2/5");
	TextDef AUX3("AUX 3/5", " 3/5");
	TextDef AUX4("AUX 4/5", " 4/5");
	TextDef AUX5("AUX 5/5", " 5/5");

//-----------------------------------------------------------------------------------------------------------------------
	TextDef SETUP1("SYS 1/4", "SYS 1/4");
	TextDef SETUP2("SYS 2/4", "SYS 2/4");
	TextDef SETUP3("SYS 3/4", "SYS 3/4");
	TextDef SETUP4("SYS 4/4", "SYS 4/4");
	TextDef SETUP_PRAIM("PRAIM SETUP", "PRAIM SETUP");
	TextDef SETUP_GAMMA("GAMMA SETUP", "GAMMA SETUP");
	TextDef HORIZONTALCOMMAND("HORIZONTAL COMMAND", "HORIZONTAL COMMAND");
	TextDef ENRT("ENRT", "ENRT");
	TextDef TERM("TERM", "TERM");
	TextDef APPR("APPR", "APPR");
	TextDef Kn("Kn", "Kn");
	TextDef Kz("Kz", "Kz");
	TextDef Kw("Kw", "Kw");

	TextDef USER_SETUP("USER SETUP", "USER SETUP");
	TextDef USERSETUP1("USER 1/2", "USER 1/2");
	TextDef USERSETUP2("USER 2/2", "USER 2/2");

	TextDef DIAG3_CAPTION("INPUT INFORMATION", "INPUT INFORMATION");
	TextDef DIAG4_CAPTION("OUTPUT DATA", "OUTPUT DATA");

	TextDef GNSS_INIT("GNSS INIT", " ");
	TextDef SETUP("SYSTEM SETUP", "");
	TextDef SIMULATION("SIMULATION", "");
	TextDef KEYTEST("KEY TEST", "");
	TextDef GAMMA("GAMMA", "GAMMA");
	TextDef ALT_WGS("WGS ALTITUDE", " WGS");
	TextDef ALT_MSL("MSL ALTITUDE", " MSL");
	TextDef SIMULATION_MODE("SIMULATION MODE", "SIMULATION MODE");
	TextDef SIM("SIM", "SIM");
	TextDef GS_SET("GS SET", "GS SET");

	TextDef AC_TYPE("AC TYPE", "AC TYPE");
	TextDef BANK_("BANK", "BANK");
	TextDef CLIMB_("CLIMB%", "CLIMB%");
	TextDef PROCEDURES("PROCEDURES", "PROCEDURES");
	TextDef ENROUTE("ENROUTE", "ENROUTE");
	TextDef TERMINAL("TERMINAL", "TERMINAL");
	TextDef PRAIMSETTINGS("PRAIM SETTINGS", "PRAIM SETTINGS");

	TextDef ELEV_MASK("ELEVATION MASK", "ELEVATION MASK");
	TextDef SAT_VIS_GPS("SATs VISIBLE (ONE)", "SATs VISIBLE (ONE)");
	TextDef SAT_VIS_BOTH("SATs VISIBLE (BOTH)", "SATs VISIBLE (BOTH)");
	TextDef HDOP_MIN("HDOP MIN", "HDOP MIN");
	TextDef SATELLITES("SATELLITES", "SATELLITES");

	TextDef MANUAL("MANUAL", "");
	TextDef AUTO("AUTO", "");
	TextDef OFF("OFF", "OFF");
	TextDef ON("ON", "ON");
	TextDef CSUM("CS", "");

	TextDef LOG_FREQ("LOG FREQUENCY", "LOG FREQUENCY");
	TextDef TECH_MODE("TECH MODE", "TECH MODE");
	TextDef HSI_MODE("HSI MODE", "HSI MODE");

	TextDef DIGITAL_INTERFACES("DIGITAL INTERFACES", ". ");
	TextDef ANALOG_INTERFACES("ANALOG INTERFACES", ". ");
	TextDef LEFT("LEFT", "");
	TextDef RIGHT("RIGHT", "");
	TextDef Gamma("Y", "Y");
	TextDef SYNC_INPUT("SYNC INPUT", "SYNC INPUT");
	TextDef ICAO_CODE("ICAO CODE", "ICAO CODE");

	TextDef CDI_MODE("CDI MODE", "CDI MODE");
	TextDef CDI_SCALE("CDI SCALE", "CDI SCALE");
	TextDef MAGNETIC("MAGNETIC", "MAGNETIC");
	TextDef RESTORE_DEFAULTS("RESTORE DEFAULTS", "RESTORE DEFAULTS");
	TextDef RESTOREALLUSERSETTINGS("RESTORE ALL USER SETTINGS", "  ");
	TextDef TOFACTORYDEFAULTS("TO FACTORY DEFAULTS?", " ?");
	TextDef MAP_DATUM("MAP DATUM", "MAP DATUM");
	TextDef OUTPUT_DATUM("OUTPUT DATUM", "OUTPUT DATUM");
	TextDef POSITION_FORMAT("POSITION FORMAT", "POSITION FORMAT");
	TextDef TIME_OFFSET("TIME OFFSET", "TIME OFFSET");
	TextDef LANG_EN("LANGUAGE", "");
	TextDef ENGLISH("ENGLISH", "ENGLISH");
	TextDef WGS84("WGS-84", "WGS-84");

	TextDef ENTER_PASSWORD("ENTER PASSWORD", "ENTER PASSWORD");
};
